Browse Source

Attempt to fix zuul jobs from timing out

The tox jobs for fault are having problems with a
timeout, which appears to be related to how long it takes
to setup the python requirements.

This update tries to limit the scope for yamllint, and
eliminate some of the sdist related actions.

pylint has been relocated to the test-requirements file.

The usedevelop = False is required for the base tox.ini
because there are no setup files at that directory level.

Several pylint errors had to be suppressed, and will be
restored once py3 changes are merged from centos8 branch.

Story: 2008943
Task: 42967
Signed-off-by: albailey <Al.Bailey@windriver.com>
Change-Id: Icc8747226511f0be614df20800813fe4eb9e6b96
changes/29/803929/6
albailey 6 months ago
parent
commit
90d9eb4161
  1. 2
      fm-rest-api/fm/test-requirements.txt
  2. 3
      pylint.rc
  3. 6
      test-requirements.txt
  4. 4
      tox.ini

2
fm-rest-api/fm/test-requirements.txt

@ -1,7 +1,7 @@
hacking!=0.13.0,<0.14,>=0.12.0
bashate >= 0.2
PyYAML >= 3.1.0
yamllint >= 0.5.2
yamllint<1.26.1;python_version>="3.0" # GPLv2
stestr != 3.0.0
testtools!=1.2.0,>=0.9.36
iso8601

3
pylint.rc

@ -71,9 +71,12 @@ extension-pkg-whitelist=lxml.etree,greenlet
# E1102 not-callable
# E1120 no-value-for-parameter
# E1121 too-many-function-args
# NOTE: these are suppressed until py3 support merges:
# W0143,W1505,E0604,E0611,E0702,E1136,E0401
disable=C, R, fixme,
W0102,W0106,W0107,W0110,W0201,W0212,W0221,W0223,W0231,W0237,W0235,
W0311,W0403,W0603,W0612,W0613,W0621,W0622,W0703,W1401,
W0143,W1505,E0604,E0611,E0702,E1136,E0401,
E0604,E1101,E1102,E1120,E1121
[REPORTS]

6
test-requirements.txt

@ -2,6 +2,8 @@ hacking<4.0.1
bashate >= 0.2
mock
PyYAML >= 3.1.0
yamllint >= 0.5.2
isort<5;python_version>="3.5"
astroid<= 2.2.5;python_version>="3.0" # GPLv2
bandit;python_version>="3.5"
isort<5;python_version>="3.5"
pylint<2.4.0;python_version>="3.0" # GPLv2
yamllint<1.26.1;python_version>="3.0" # GPLv2

4
tox.ini

@ -5,6 +5,7 @@ skipsdist = True
stxdir = {toxinidir}/../
[testenv]
usedevelop = False
install_command = pip install \
-chttps://opendev.org/openstack/requirements/raw/branch/stable/stein/upper-constraints.txt \
{opts} {packages}
@ -52,13 +53,10 @@ commands =
[testenv:pylint]
basepython = python3
sitepackages = False
deps = {[testenv]deps}
-e{toxinidir}/../config/tsconfig/tsconfig
-e{toxinidir}/../config/sysinv/cgts-client/cgts-client
-r{toxinidir}/requirements.txt
pylint
commands = pylint {posargs} --rcfile=./pylint.rc \
fm-api/fm_api \

Loading…
Cancel
Save